package de.votian.services.entity;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.IdClass;
import jakarta.persistence.Table;

@Entity
@Table(name = "customerservicetype")
@IdClass(CustomerServiceTypeAssignmentId.class)
public class CustomerServiceTypeAssignment {

    @Id
    @Column(name = "cs_id")
    private Long customerId;

    @Id
    @Column(name = "srvt_id")
    private Long serviceTypeId;

    @Column(name = "cssrvt_sort")
    private Integer sort;

    public CustomerServiceTypeAssignment() {
    }

    public CustomerServiceTypeAssignment(Long customerId, Long serviceTypeId, Integer sort) {
        this.customerId = customerId;
        this.serviceTypeId = serviceTypeId;
        this.sort = sort;
    }

    public Long getCustomerId() {
        return customerId;
    }

    public void setCustomerId(Long customerId) {
        this.customerId = customerId;
    }

    public Long getServiceTypeId() {
        return serviceTypeId;
    }

    public void setServiceTypeId(Long serviceTypeId) {
        this.serviceTypeId = serviceTypeId;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }
}
